Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
Lucene::CompoundFileWriter::FileEntry Struct Reference

`#include <CompoundFileWriter.h>`

## Data Fields

String | file
| source file More...
int64_t | directoryOffset
| temporary holder for the start of directory entry for this file More...
int64_t | dataOffset
| temporary holder for the start of this file's data section More...

## Field Documentation

int64_t Lucene::CompoundFileWriter::FileEntry::dataOffset

temporary holder for the start of this file's data section

int64_t Lucene::CompoundFileWriter::FileEntry::directoryOffset

temporary holder for the start of directory entry for this file

String Lucene::CompoundFileWriter::FileEntry::file

source file

The documentation for this struct was generated from the following file:

- CompoundFileWriter.h

clucene.sourceforge.net